--NaSH | 26/03/2011 | Argentina

spec_cmd = "!spec" --spec <ID>
nospec_cmd = "!nospec" 
cupdaterate = 150
pointer = {}

for i = 1,32 do
	pointer[i] = {id = false,img = false}
end

timer(cupdaterate,"requestcpos","",0)

function requestcpos()
	reqcld(0,0)
end
function removepointer(id)
	freeimage(pointer[id].img)
	pointer[id].img = false
	pointer[id].id = false
end


addhook("clientdata","onclientdata")
function onclientdata(id,mode,dat1,dat2)
	for j = 1,#player(0,"table") do
		if pointer[j].id==id then
			--if not pointer[j].img then
			--	
			--else
				imagepos(pointer[j].img,dat1,dat2,0)
			--end
		end
	end
end


addhook("say","onsay")
function onsay(id,msg)
	if player(id,"team")==0 then
		if string.lower(string.sub(msg,1,string.len(spec_cmd)))==spec_cmd then
			local a = tonumber(string.sub(msg,string.len(spec_cmd)+2,string.len(msg)))
			if a==nil or not player(a,"exists") or tonumber(player(a,"health"))<=0 or player(a,"bot") then
				parse("sv_msg2 "..id.." Wrong ID")
			else
				if pointer[id].id~=false then
					removepointer(id)
				end
				local i = math.abs(math.floor(a))
				pointer[id].id = i
				pointer[id].img = image("gfx/aim.bmp",0,0,2,id)
				--parse("msg "..i.." "..type(i))
				--parse("msg "..string.sub(msg,string.len(spec_cmd)+2,string.len(msg))+1)
			end
			return 1
		else
		if string.lower(msg)==nospec_cmd then
			if pointer[id].id~=false then
				removepointer(id)
			end
			return 1
		end
		end
	end
end

addhook("startround","onstartround")
function onstartround()
	for k = 1,32 do
		if pointer[k].id~=false then
			removepointer(k)
		end
	end
end


addhook("team","onteam")
function onteam(id,team,look)
	if pointer[id].img~=false then
		removepointer(id)
	end
	for k = 1,32 do
		if pointer[k].id==id then
			removepointer(k)
		end
	end
end

addhook("die","ondie")
function ondie(victim,killer,weapon,x,y)
	for k = 1,32 do
		if pointer[k].id==victim then
			removepointer(k)
		end
	end
end

addhook("leave","onleave")
function onleave(id,reason)
	if pointer[id].img~=false then
		removepointer(id)
	end
	for k = 1,32 do
		if pointer[k].id==id then
			removepointer(k)
		end
	end
end